package com.bwie.common.domain.request;

import com.bwie.common.domain.Advice;
import com.bwie.common.domain.House;
import com.bwie.common.domain.User;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class VoIndexList {

    private List<House> newHouse;

    private List<String> houseImage;

    private List<Advice> adviceList;

    private List<House> oldHouse;

    private List<User> userInfo;

}
